Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.offline.command
Class CommandInterpreter

    java.lang.Object
      |
      +--org.w3c.tools.offline.command.CommandInterpreter

public class CommandInterpreter
extends java.lang.Object

The jigshell interpreter class.

Field Summary
`protected static boolean` | `interactive` A boolean to switch to batch mode when a script file is given
`protected static java.io.BufferedReader` | `reader` A reader for commands input.
`protected static StoreFinder` | `sf` The StoreFinder instance to handle the store files.

Constructor Summary
`CommandInterpreter(java.lang.String[] args)` A CommandInterpreter initializer.

Method Summary
`protected void` | `ProcessCommand(CommandLine cl)` Process a command line instance and initiate the action through the StoreFinder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sf

    protected static StoreFinder sf

  The StoreFinder instance to handle the store files.

### interactive

    protected static boolean interactive

  A boolean to switch to batch mode when a script file is given

### reader

    protected static java.io.BufferedReader reader

  A reader for commands input.

Constructor Detail

### CommandInterpreter

    public CommandInterpreter(java.lang.String[] args)

  A CommandInterpreter initializer.

Parameters:
  `args` - arguments provided when launching jigshell

Method Detail

### ProcessCommand

    protected void ProcessCommand(CommandLine cl)

  Process a command line instance and initiate the action through the StoreFinder.

  Parameters:
    `cl` - the CommandLine.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD